%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%                    RECORDED MOTION COMPARISON 
%
% Last Modified : JAN_04 
% by Erol Kalkan
% Description : This file compares NTH results with recorded one takes
% relative displacement. 
%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
clear; clc;

dt=0.02;
%------------------------- Acceleration -------------------------------
load acceleration.out;
acc=acceleration;

T=acc(:,1);
subplot(2,1,1)
plot(T,acc(:,8),'--'); % Inch
ylabel('Acceleration (in/sec)'); xlabel('Duration (sec)');
grid;zoom on;

%---------------------- Recorded Roof Acc.-----------------------------
load rec_ch9.tcl;
roofacc=rec_ch9;
[a b]=size(roofacc);

t=[dt:dt:(dt*a)];
hold;
plot(t,roofacc,'g');
legend('OpenSees','Observed')

%------------------------- Displacement -------------------------------
load Floor_7_Displ.out;
disp=Floor_7_Displ; 

subplot(2,1,2)
plot(T,disp,'--'); % Inch
ylabel('Displacement (in/sec)'); xlabel('Duration (sec)');
grid;zoom on;

%---------------------- Recorded Roof Disp.-----------------------------
load rec_ch9_disp.tcl;
roofdisp=rec_ch9_disp;

load rec_ch16_disp.tcl;
basedisp=rec_ch16_disp;

[a b]=size(roofdisp);
[c d]=size(basedisp);

reldisp=roofdisp(1:a)-basedisp(1:a);

T3=[dt:dt:(dt*a)];
hold;
plot(T3,reldisp,'--g');
legend('OpenSees','Observed')








