#################################################################################################
#
# Section Assigment Routine
#
# Writen by:  Erol Kalkan
# Last modified:  Oct 2003
#
# Objective: 
#
# Units: kip-in      
#################################################################################################  
# NUMBER OF INTEGRATION POINTS
set nP 4;
#####################################################################
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# DEFINE ELEMENTS
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Columns
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#                           tag ndI ndJ nPts secID   transf      max iter and tol for elem comp
# 1st Storey Columns
element nonlinearBeamColumn 11   1   10   $nP   11      11         -iter 10 10e-16
element nonlinearBeamColumn 12   2   11   $nP   12      11         -iter 10 10e-16
element nonlinearBeamColumn 13   3   12   $nP   13      11         -iter 10 10e-16
element nonlinearBeamColumn 14   4   13   $nP   13      11         -iter 10 10e-16
element nonlinearBeamColumn 15   5   14   $nP   13      11         -iter 10 10e-16
element nonlinearBeamColumn 16   6   15   $nP   13      11         -iter 10 10e-16
element nonlinearBeamColumn 17   7   16   $nP   13      11         -iter 10 10e-16
element nonlinearBeamColumn 18   8   17   $nP   12      11         -iter 10 10e-16
element nonlinearBeamColumn 19   9   18   $nP   11      11         -iter 10 10e-16

# 2nd Storey Columns
element nonlinearBeamColumn 21   10   19   $nP   21     12         -iter 10 10e-16
element nonlinearBeamColumn 22   11   20   $nP   22     12         -iter 10 10e-16
element nonlinearBeamColumn 23   12   21   $nP   23     12         -iter 10 10e-16
element nonlinearBeamColumn 24   13   22   $nP   23     12         -iter 10 10e-16
element nonlinearBeamColumn 25   14   23   $nP   23     12         -iter 10 10e-16
element nonlinearBeamColumn 26   15   24   $nP   23     12         -iter 10 10e-16
element nonlinearBeamColumn 27   16   25   $nP   23     12         -iter 10 10e-16
element nonlinearBeamColumn 28   17   26   $nP   22     12         -iter 10 10e-16
element nonlinearBeamColumn 29   18   27   $nP   21     12         -iter 10 10e-16

# 3rd Storey Columns
element nonlinearBeamColumn 31   19   28   $nP   31     13         -iter 10 10e-16
element nonlinearBeamColumn 32   20   29   $nP   32     13         -iter 10 10e-16
element nonlinearBeamColumn 33   21   30   $nP   33     13         -iter 10 10e-16
element nonlinearBeamColumn 34   22   31   $nP   33     13         -iter 10 10e-16
element nonlinearBeamColumn 35   23   32   $nP   33     13         -iter 10 10e-16
element nonlinearBeamColumn 36   24   33   $nP   33     13         -iter 10 10e-16
element nonlinearBeamColumn 37   25   34   $nP   33     13         -iter 10 10e-16
element nonlinearBeamColumn 38   26   35   $nP   32     13         -iter 10 10e-16
element nonlinearBeamColumn 39   27   36   $nP   31     13         -iter 10 10e-16

# 4th Storey Columns
element nonlinearBeamColumn 41   28   37   $nP   31     14         -iter 10 10e-16
element nonlinearBeamColumn 42   29   38   $nP   31     14         -iter 10 10e-16
element nonlinearBeamColumn 43   30   39   $nP   31     14         -iter 10 10e-16
element nonlinearBeamColumn 44   31   40   $nP   31     14         -iter 10 10e-16
element nonlinearBeamColumn 45   32   41   $nP   31     14         -iter 10 10e-16
element nonlinearBeamColumn 46   33   42   $nP   31     14         -iter 10 10e-16
element nonlinearBeamColumn 47   34   43   $nP   31     14         -iter 10 10e-16
element nonlinearBeamColumn 48   35   44   $nP   31     14         -iter 10 10e-16
element nonlinearBeamColumn 49   36   45   $nP   31     14         -iter 10 10e-16

# 5th Storey Columns
element nonlinearBeamColumn 51   37   46   $nP   31     15         -iter 10 10e-16
element nonlinearBeamColumn 52   38   47   $nP   31     15         -iter 10 10e-16
element nonlinearBeamColumn 53   39   48   $nP   31     15         -iter 10 10e-16
element nonlinearBeamColumn 54   40   49   $nP   31     15         -iter 10 10e-16
element nonlinearBeamColumn 55   41   50   $nP   31     15         -iter 10 10e-16
element nonlinearBeamColumn 56   42   51   $nP   31     15         -iter 10 10e-16
element nonlinearBeamColumn 57   43   52   $nP   31     15         -iter 10 10e-16
element nonlinearBeamColumn 58   44   53   $nP   31     15         -iter 10 10e-16
element nonlinearBeamColumn 59   45   54   $nP   31     15         -iter 10 10e-16

# 6th Storey Columns
element nonlinearBeamColumn 61   46   55   $nP   31     16         -iter 10 10e-16
element nonlinearBeamColumn 62   47   56   $nP   31     16         -iter 10 10e-16
element nonlinearBeamColumn 63   48   57   $nP   31     16         -iter 10 10e-16
element nonlinearBeamColumn 64   49   58   $nP   31     16         -iter 10 10e-16
element nonlinearBeamColumn 65   50   59   $nP   31     16         -iter 10 10e-16
element nonlinearBeamColumn 66   51   60   $nP   31     16         -iter 10 10e-16
element nonlinearBeamColumn 67   52   61   $nP   31     16         -iter 10 10e-16
element nonlinearBeamColumn 68   53   62   $nP   31     16         -iter 10 10e-16
element nonlinearBeamColumn 69   54   63   $nP   31     16         -iter 10 10e-16

# 7th Storey Columns
element nonlinearBeamColumn 71   55   64   $nP   31     17         -iter 10 10e-16
element nonlinearBeamColumn 72   56   65   $nP   31     17         -iter 10 10e-16
element nonlinearBeamColumn 73   57   66   $nP   31     17         -iter 10 10e-16
element nonlinearBeamColumn 74   58   67   $nP   31     17         -iter 10 10e-16
element nonlinearBeamColumn 75   59   68   $nP   31     17         -iter 10 10e-16
element nonlinearBeamColumn 76   60   69   $nP   31     17         -iter 10 10e-16
element nonlinearBeamColumn 77   61   70   $nP   31     17         -iter 10 10e-16
element nonlinearBeamColumn 78   62   71   $nP   31     17         -iter 10 10e-16
element nonlinearBeamColumn 79   63   72   $nP   31     17         -iter 10 10e-16

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Beams
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#                           tag  ndI  ndJ  nPts secID transf
# 1th Storey Beams
element nonlinearBeamColumn 101   10   11   $nP   101   21    -iter 10 10e-16
element nonlinearBeamColumn 102   11   12   $nP   102   21    -iter 10 10e-16
element nonlinearBeamColumn 103   12   13   $nP   103   21    -iter 10 10e-16
element nonlinearBeamColumn 104   13   14   $nP   103   21    -iter 10 10e-16
element nonlinearBeamColumn 105   14   15   $nP   103   21    -iter 10 10e-16
element nonlinearBeamColumn 106   15   16   $nP   103   21    -iter 10 10e-16
element nonlinearBeamColumn 107   16   17   $nP   104   21    -iter 10 10e-16
element nonlinearBeamColumn 108   17   18   $nP   105   21    -iter 10 10e-16

# 2nd Storey Beams
element nonlinearBeamColumn 201   19   20   $nP   201   21    -iter 10 10e-16
element nonlinearBeamColumn 202   20   21   $nP   202   21    -iter 10 10e-16
element nonlinearBeamColumn 203   21   22   $nP   203   21    -iter 10 10e-16
element nonlinearBeamColumn 204   22   23   $nP   203   21    -iter 10 10e-16
element nonlinearBeamColumn 205   23   24   $nP   203   21    -iter 10 10e-16
element nonlinearBeamColumn 206   24   25   $nP   203   21    -iter 10 10e-16
element nonlinearBeamColumn 207   25   26   $nP   204   21    -iter 10 10e-16
element nonlinearBeamColumn 208   26   27   $nP   205   21    -iter 10 10e-16

# 3rd Storey Beams
element nonlinearBeamColumn 301   28   29   $nP   301   21    -iter 10 10e-16
element nonlinearBeamColumn 302   29   30   $nP   302   21    -iter 10 10e-16
element nonlinearBeamColumn 303   30   31   $nP   303   21    -iter 10 10e-16
element nonlinearBeamColumn 304   31   32   $nP   303   21    -iter 10 10e-16
element nonlinearBeamColumn 305   32   33   $nP   303   21    -iter 10 10e-16
element nonlinearBeamColumn 306   33   34   $nP   303   21    -iter 10 10e-16
element nonlinearBeamColumn 307   34   35   $nP   304   21    -iter 10 10e-16
element nonlinearBeamColumn 308   35   36   $nP   305   21    -iter 10 10e-16

# 4th Storey Beams
element nonlinearBeamColumn 401   37   38   $nP   401   21    -iter 10 10e-16
element nonlinearBeamColumn 402   38   39   $nP   402   21    -iter 10 10e-16
element nonlinearBeamColumn 403   39   40   $nP   402   21    -iter 10 10e-16
element nonlinearBeamColumn 404   40   41   $nP   402   21    -iter 10 10e-16
element nonlinearBeamColumn 405   41   42   $nP   402   21    -iter 10 10e-16
element nonlinearBeamColumn 406   42   43   $nP   402   21    -iter 10 10e-16
element nonlinearBeamColumn 407   43   44   $nP   402   21    -iter 10 10e-16
element nonlinearBeamColumn 408   44   45   $nP   405   21    -iter 10 10e-16

# 5th Storey Beams
element nonlinearBeamColumn 501   46   47   $nP   501   21    -iter 10 10e-16
element nonlinearBeamColumn 502   47   48   $nP   502   21    -iter 10 10e-16
element nonlinearBeamColumn 503   48   49   $nP   503   21    -iter 10 10e-16
element nonlinearBeamColumn 504   49   50   $nP   503   21    -iter 10 10e-16
element nonlinearBeamColumn 505   50   51   $nP   503   21    -iter 10 10e-16
element nonlinearBeamColumn 506   51   52   $nP   503   21    -iter 10 10e-16
element nonlinearBeamColumn 507   52   53   $nP   504   21    -iter 10 10e-16
element nonlinearBeamColumn 508   53   54   $nP   505   21    -iter 10 10e-16

# 6th Storey Beams
element nonlinearBeamColumn 601   55   56   $nP   601   21    -iter 10 10e-16
element nonlinearBeamColumn 602   56   57   $nP   602   21    -iter 10 10e-16
element nonlinearBeamColumn 603   57   58   $nP   603   21    -iter 10 10e-16
element nonlinearBeamColumn 604   58   59   $nP   603   21    -iter 10 10e-16
element nonlinearBeamColumn 605   59   60   $nP   603   21    -iter 10 10e-16
element nonlinearBeamColumn 606   60   61   $nP   603   21    -iter 10 10e-16
element nonlinearBeamColumn 607   61   62   $nP   604   21    -iter 10 10e-16
element nonlinearBeamColumn 608   62   63   $nP   605   21    -iter 10 10e-16

# 7th Storey Beams
element nonlinearBeamColumn 701   64   65   $nP   701   21    -iter 10 10e-16
element nonlinearBeamColumn 702   65   66   $nP   702   21    -iter 10 10e-16
element nonlinearBeamColumn 703   66   67   $nP   702   21    -iter 10 10e-16
element nonlinearBeamColumn 704   67   68   $nP   702   21    -iter 10 10e-16
element nonlinearBeamColumn 705   68   69   $nP   702   21    -iter 10 10e-16
element nonlinearBeamColumn 706   69   70   $nP   702   21    -iter 10 10e-16
element nonlinearBeamColumn 707   70   71   $nP   702   21    -iter 10 10e-16
element nonlinearBeamColumn 708   71   72   $nP   705   21    -iter 10 10e-16

#############################################################################
puts "Finished assigning sections ..."
#############################################################################








