###################################################################################
#
# Dynamic Analysis
#
# Writen by:  Erol Kalkan
# Last modified:  Jan 2004
#
# Units: kip-in      
################################################################################### 
#                               Dynamic Analysis                                  #
###################################################################################
wipeAnalysis
loadConst -time 0.0
source recorderdyn.tcl

set outFile rec_ch16.tcl
set Nsteps 1500
set dt 0.02; 
set GMfatt 1.0

set omg_sqr [eigen 1]
set  gamma 0.5
set beta 0.25;    
set alphaM [expr 2*0.04];   # 5% damping Mass proportional ao 
set betaK [expr 2*0.04/(pow($omg_sqr,0.5))];   # Stiffness proportional a1
set betaKcomm 0
set betaKinit 0  

system UmfPack
constraints Plain

#test NormDispIncr 1.0e-2 200 0; 
#test NormDispIncr 1.0e- 200 0; 
test EnergyIncr 1.0e-2 1000;
#algorithm Newton 
algorithm NewtonLineSearch 0.8; # BETTER
#algorithm KrylovNewton
#algorithm ModifiedNewton -initial
#algorithm Broyden 200

numberer RCM
integrator Newmark $gamma $beta $alphaM $betaK $betaKcomm $betaKinit; 
analysis VariableTransient

set Gaccel "Series -dt $dt -filePath $outFile -factor $GMfatt"; # time series information
pattern UniformExcitation 2 1 -accel $Gaccel; # create uniform excitation
analyze $Nsteps $dt 0.001 0.02 1000;

####################################################################################
#                                  End of Analysis                                 #
####################################################################################

