%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%                      GLOBAL PUSHOVER CURVE PLOTTING  
%
% Last Modified : Nov_03 
% by Erol Kalkan
% Description : This file takes bottom storey level shear forces at column
% ends and sum them up then compare with SAP2000 pushover curve; in the next figure
% it draws base shear coefficient vs roof drift
%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
W=4998.5; % TOTAL WEIGHT OF STRUCTURE
h=788.5

% LOAD BASE STORY SHEAR FORCES 
load Fl_1_Cols_Forces.out; % Base Shear File
sh=Fl_1_Cols_Forces;
s1=sh(:,1)+sh(:,7)+sh(:,13)+sh(:,19)+sh(:,25)+sh(:,31)+sh(:,37)+sh(:,43)+sh(:,49);

load sap.txt;
load Floor_7_Displ.out;
disp=Floor_7_Displ(:,1);

plot(sap(:,2),sap(:,3));
hold;
plot(disp,s1*-1,'r');
grid;
legend ('Sap2000','OpenSees')

% ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
%       BASE SHEAR FORCES and ROOF DISPL. INTO FILE
% ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 

fid = fopen ('Fl_1_Baseshear.out','w'); % 
fprintf (fid,'%6.4f\n',s1*-1);
fclose(fid)

fid = fopen ('Fl_7_Displ.out','w'); % 
fprintf (fid,'%6.4f\n',disp');
fclose(fid)

% ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 

figure(2)
plot(disp/h,s1*-1/W,'r');
grid;
ylabel('Roof Drift');
xlabel('Base Shear Coefficient/W');



