#################################################################################################
#
# Material Properties
#
# Writen by:  Erol Kalkan
# Last modified:  Nov. 2003
#
# Objective: 
#
# Units: kip-in      
#################################################################################################  
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# CONCRETE MODEL
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# MAT-1-2 Fc' = 5 ksi 
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Cover concrete
#                             tag  -f'c  -epsco  -f'cu  -epscu
   uniaxialMaterial Concrete01  1  -4.00   -.0025   -1.0   -.005;

#  Core concrete
   uniaxialMaterial Concrete01  2  -5.50  -.0025  -1.0    -.020

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# MAT-3-4 Fc' = 4 ksi 
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Cover concrete
#                             tag  -f'c  -epsco  -f'cu  -epscu
   uniaxialMaterial Concrete01  3  -3.000   -.0025  -0.8   -.005;

#  Core concrete
   uniaxialMaterial Concrete01  4  -4.50  -.0025  -1.0    -.020;

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# MAT-5-6 Fc' = 3 ksi 
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Cover concrete
#                             tag  -f'c  -epsco  -f'cu  -epscu
   uniaxialMaterial Concrete01  5  -2.50   -.0025   -0.6   -.005;

#  Core concrete
   uniaxialMaterial Concrete01  6  -3.50  -.0025  -0.8    -.020;

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# REINFORMCEMENT STEEL MODEL
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# MAT-7 Fy' = 60 ksi 
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

	set E 29000.0
	set fy 60.0
	set b 0.02; # CHECK THIS VALUE 

	# Define material section properties.
	#============================================#
	#                     matTag      fy   E   b #
	#============================================#
     uniaxialMaterial Steel01  7       $fy  $E  $b

     #                          tag  E  fy Hiso Hkin
     #uniaxialMaterial Hardening  1  $E $fy   0  0

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# MAT-8 Fy' = 40 ksi 
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

	set E 29000.0
	set fy 40.0
	set b 0.02; # CHECK THIS VALUE 

	# Define material section properties.
	#============================================#
	#                     matTag      fy   E   b #
	#============================================#
     uniaxialMaterial Steel01  8       $fy  $E  $b

     #                          tag  E  fy Hiso Hkin
     #uniaxialMaterial Hardening  1  $E $fy   0  0

#####################################################################
puts "Finished getting material properties..."
#####################################################################

	





