#################################################################################################
#
# Static Pushover Load Application 
#
# Writen by:  Erol Kalkan
# Last modified:  Jan 04
#
# Objective: 
#
# Units: kip-in      
#################################################################################################  

# LATERAL LOADS (STORY FORCES)
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#                  TRIANGLE NSP-1
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    if {$NSP == 1} {
        pattern Plain 3 Linear {
#         node	 FX      FY     MZ
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~  
    load   64     228.7    0.0    0.0
    load   55     204.4    0.0    0.0
    load   46     173.2    0.0    0.0
    load   37     142.0    0.0    0.0
    load   28     110.8    0.0    0.0
    load   19      79.6    0.0    0.0
    load   10      61.3    0.0    0.0
        }
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#           MASS PROPORTIONAL UNIFORM NSP-2
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
       } elseif {$NSP == 2} {
        pattern Plain 2 Linear {
#         node	 FX    FY     MZ
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    load   64       [expr $IRM*7+$ERM*2]   0.0    0.0
    load   55       [expr $IM*7+$EM*2]     0.0    0.0
    load   46       [expr $IM*7+$EM*2]     0.0    0.0
    load   37       [expr $IM*7+$EM*2]     0.0    0.0
    load   28       [expr $IM*7+$EM*2]     0.0    0.0
    load   19       [expr $IM*7+$EM*2]     0.0    0.0
    load   10       [expr $IFM*7+$EFM*2]   0.0    0.0
        }
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#                  1st MODE 
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  } elseif {$NSP == 3} {
source eigenvectors.tcl
        pattern Plain 3 Linear {
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#         node	   FX    FY     MZ
    load   64       [expr $ev1_7*$IRM]  0.0    0.0
    load   55       [expr $ev1_6*$IM]   0.0    0.0
    load   46       [expr $ev1_5*$IM]   0.0    0.0
    load   37       [expr $ev1_4*$IM]   0.0    0.0
    load   28       [expr $ev1_3*$IM]   0.0    0.0
    load   19       [expr $ev1_2*$IM]   0.0    0.0
    load   10       [expr $ev1_1*$IFM]  0.0    0.0
        }
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#                  2nd MODE 
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  } elseif {$NSP == 4} {
source eigenvectors.tcl
        pattern Plain 3 Linear {
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#         node	   FX    FY     MZ
set d -1; # Direction of loading
    load   57       [expr $ev2_8*$IRM*$d] 0.0    0.0
    load   50       [expr $ev2_7*$IM*$d]   0.0    0.0
    load   43       [expr $ev2_6*$IM*$d]   0.0    0.0
    load   36       [expr $ev2_5*$IM*$d]   0.0    0.0
    load   29       [expr $ev2_4*$IM*$d]   0.0    0.0
    load   22       [expr $ev2_3*$IM*$d]   0.0    0.0
    load   15       [expr $ev2_2*$IM*$d]   0.0    0.0
    load    8       [expr $ev2_1*$IFM*$d]  0.0    0.0
        }

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#                  3rd MODE 
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  } elseif {$NSP == 5} {
source eigenvectors.tcl
        pattern Plain 3 Linear {
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#         node	   FX    FY     MZ
set d -1; # Direction of loading
    load   57       [expr $ev3_8*$IRM*$d]  0.0    0.0
    load   50       [expr $ev3_7*$IM*$d]   0.0    0.0
    load   43       [expr $ev3_6*$IM*$d]   0.0    0.0
    load   36       [expr $ev3_5*$IM*$d]   0.0    0.0
    load   29       [expr $ev3_4*$IM*$d]   0.0    0.0
    load   22       [expr $ev3_3*$IM*$d]   0.0    0.0
    load   15       [expr $ev3_2*$IM*$d]   0.0    0.0
    load    8       [expr $ev3_1*$IFM*$d]  0.0    0.0
        }
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#               MODAL COMBINATION M1+M2
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  } elseif {$NSP == 6} {
source eigenvectors.tcl
        pattern Plain 3 Linear {
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#         node	   FX    FY     MZ
set d1  [expr 6*14.67*42*0.01]; # 1 Mode scale factor
set d2  [expr -1*6*5.81*15*0.01]; # 2 Mode scale factor
set d3  0; # 3 Mode scale factor
    load   57       [expr $ev1_8*$IRM*$d1+$ev2_8*$IRM*$d2+$ev3_8*$IRM*$d3] 0.0    0.0
    load   50       [expr $ev1_7*$IM*$d1+$ev2_7*$IM*$d2+$ev3_7*$IM*$d3]    0.0    0.0
    load   43       [expr $ev1_6*$IM*$d1+$ev2_6*$IM*$d2+$ev3_6*$IM*$d3]    0.0    0.0
    load   36       [expr $ev1_5*$IM*$d1+$ev2_5*$IM*$d2+$ev3_5*$IM*$d3]    0.0    0.0
    load   29       [expr $ev1_4*$IM*$d1+$ev2_4*$IM*$d2+$ev3_4*$IM*$d3]    0.0    0.0
    load   22       [expr $ev1_3*$IM*$d1+$ev2_3*$IM*$d2+$ev3_3*$IM*$d3]    0.0    0.0
    load   15       [expr $ev1_2*$IM*$d1+$ev2_2*$IM*$d2+$ev3_2*$IM*$d3]    0.0    0.0
    load    8       [expr $ev1_1*$IFM*$d1+$ev2_1*$IFM*$d2+$ev3_1*$IFM*$d3]    0.0    0.0
        }
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#  FEMA 1.3 Loading Based on BSE-2 Response Spectrum
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  } elseif {$NSP == 7} {
        pattern Plain 3 Linear {
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#         node	   FX    FY     MZ
    load   41        36    0.0    0.0
    load   36        71    0.0    0.0
    load   31       100    0.0    0.0
    load   26       124    0.0    0.0
    load   21       146    0.0    0.0
    load   16       163    0.0    0.0
    load   11       176    0.0    0.0
    load    6       184    0.0    0.0
        }

    } else {
        puts stderr "Invalid story-force option."
    }



