#################################################################################################
#
# Cross Section Generator
#
# Writen by:  Erol Kalkan
# Last modified: Jan 2004
#
# Objective: 
#
# Units: kip-in      
#################################################################################################  
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# DEFINE COLUMN SECTIONS
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Column section story 11

set z1 14; # width loading along this direction Bending about this direction
set x1 20; # depth, bending about z-direction
set d 2;  # Clear distance

set b [expr ($x1-2*$d)/2]; #core 
set h [expr ($z1-2*$d)/2]; #core 
set x [expr $x1/2]; #out
set z [expr $z1/2]; #out

set divIJ 4;
set divJKC 66;  # CORE
set divJK  100; # TOP-BOT Long parts
set divJKL 20;  # LEFT SHORT
set divJKR 20;  # RIGHT SHORT

section fiberSec 11 {
#             mat ndivIJ ndivJK          yI    zI    yJ    zJ    yK    zK    yL    zL
  patch quadr  2     $divIJ  $divJKC    $h    -$b    $h    $b   -$h    $b   -$h   -$b; # CORE
  patch quadr  1     $divIJ  $divJK     $z    -$x    $z    $x    $h    $x    $h   -$x; # Top long
  patch quadr  1     $divIJ  $divJK    -$h    -$x   -$h    $x   -$z    $x   -$z   -$x; # Bot long
  patch quadr  1     $divIJ  $divJKL    $h    -$x    $h   -$b   -$h   -$b   -$h   -$x; # Left CHECK
  patch quadr  1     $divIJ  $divJKR    $h     $b    $h    $x   -$h    $x   -$h    $b; # Right
#
# TYPE B 2 by 4 layers 8#9
#                mat  nBars  area     yI		   zI    yJ		 zJ
  layer straight  7     4    0.994    $h 	 	  -$b    $h 	$b;
  layer straight  7     4    0.994   -$h 		  -$b   -$h		$b;
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Column section story 12

set z1 14; # width loading along this direction Bending about this direction
set x1 20; # depth, bending about z-direction
set d 2;  # Clear distance

set b [expr ($x1-2*$d)/2]; #core 
set h [expr ($z1-2*$d)/2]; #core 
set x [expr $x1/2]; #out
set z [expr $z1/2]; #out

set divIJ 4;
set divJKC 66;  # CORE
set divJK  100; # TOP-BOT Long parts
set divJKL 20;  # LEFT SHORT
set divJKR 20;  # RIGHT SHORT

section fiberSec 12 {
#             mat ndivIJ ndivJK          yI    zI    yJ    zJ    yK    zK    yL    zL
  patch quadr  2     $divIJ  $divJKC    $h    -$b    $h    $b   -$h    $b   -$h   -$b; # CORE
  patch quadr  1     $divIJ  $divJK     $z    -$x    $z    $x    $h    $x    $h   -$x; # Top long
  patch quadr  1     $divIJ  $divJK    -$h    -$x   -$h    $x   -$z    $x   -$z   -$x; # Bot long
  patch quadr  1     $divIJ  $divJKL    $h    -$x    $h   -$b   -$h   -$b   -$h   -$x; # Left CHECK
  patch quadr  1     $divIJ  $divJKR    $h     $b    $h    $x   -$h    $x   -$h    $b; # Right
#
# TYPE D 3 by 5 layers 12#9
#                mat  nBars  area     yI		   zI    yJ		 zJ
  layer straight  7     5    0.994    $h 		  -$b    $h  	 $b; 
  layer straight  7     2    0.994     0  	  -$b     0	       $b;
  layer straight  7     5    0.994   -$h 		  -$b   -$h		 $b;
}

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Column section story 13

set z1 14; # width loading along this direction Bending about this direction
set x1 20; # depth, bending about z-direction
set d 2;  # Clear distance

set b [expr ($x1-2*$d)/2]; #core 
set h [expr ($z1-2*$d)/2]; #core 
set x [expr $x1/2]; #out
set z [expr $z1/2]; #out

set divIJ 4;
set divJKC 66;  # CORE
set divJK  100; # TOP-BOT Long parts
set divJKL 20;  # LEFT SHORT
set divJKR 20;  # RIGHT SHORT

section fiberSec 13 {
#             mat ndivIJ ndivJK          yI    zI    yJ    zJ    yK    zK    yL    zL
  patch quadr  2     $divIJ  $divJKC    $h    -$b    $h    $b   -$h    $b   -$h   -$b; # CORE
  patch quadr  1     $divIJ  $divJK     $z    -$x    $z    $x    $h    $x    $h   -$x; # Top long
  patch quadr  1     $divIJ  $divJK    -$h    -$x   -$h    $x   -$z    $x   -$z   -$x; # Bot long
  patch quadr  1     $divIJ  $divJKL    $h    -$x    $h   -$b   -$h   -$b   -$h   -$x; # Left CHECK
  patch quadr  1     $divIJ  $divJKR    $h     $b    $h    $x   -$h    $x   -$h    $b; # Right
#
# TYPE C 3 by 4 layers 10#9
#                mat  nBars  area     yI		   zI    yJ		 zJ
  layer straight  7     4    0.994    $h 		  -$b    $h  	 $b; 
  layer straight  7     2    0.994     0  	  -$b     0	       $b;
  layer straight  7     4    0.994   -$h 		  -$b   -$h		 $b;
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Column section story 21

set z1 14; # width loading along this direction Bending about this direction
set x1 20; # depth, bending about z-direction
set d 2;  # Clear distance

set b [expr ($x1-2*$d)/2]; #core 
set h [expr ($z1-2*$d)/2]; #core 
set x [expr $x1/2]; #out
set z [expr $z1/2]; #out

set divIJ 4;
set divJKC 66;  # CORE
set divJK  100; # TOP-BOT Long parts
set divJKL 20;  # LEFT SHORT
set divJKR 20;  # RIGHT SHORT

section fiberSec 21 {
#             mat ndivIJ ndivJK          yI    zI    yJ    zJ    yK    zK    yL    zL
  patch quadr  4     $divIJ  $divJKC    $h    -$b    $h    $b   -$h    $b   -$h   -$b; # CORE
  patch quadr  3     $divIJ  $divJK     $z    -$x    $z    $x    $h    $x    $h   -$x; # Top long
  patch quadr  3     $divIJ  $divJK    -$h    -$x   -$h    $x   -$z    $x   -$z   -$x; # Bot long
  patch quadr  3     $divIJ  $divJKL    $h    -$x    $h   -$b   -$h   -$b   -$h   -$x; # Left CHECK
  patch quadr  3     $divIJ  $divJKR    $h     $b    $h    $x   -$h    $x   -$h    $b; # Right
#
# TYPE A 2 by 3 layers 6#7
#                mat  nBars  area      yI		   zI    yJ		 zJ
  layer straight  7     3    0.601    $h 	 	  -$b    $h 	$b;
  layer straight  7     3    0.601   -$h 		  -$b   -$h		 $b;
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Column section story 22

set z1 14; # width loading along this direction Bending about this direction
set x1 20; # depth, bending about z-direction
set d 2;  # Clear distance

set b [expr ($x1-2*$d)/2]; #core 
set h [expr ($z1-2*$d)/2]; #core 
set x [expr $x1/2]; #out
set z [expr $z1/2]; #out

set divIJ 4;
set divJKC 66;  # CORE
set divJK  100; # TOP-BOT Long parts
set divJKL 20;  # LEFT SHORT
set divJKR 20;  # RIGHT SHORT

section fiberSec 22 {
#             mat ndivIJ ndivJK          yI    zI    yJ    zJ    yK    zK    yL    zL
  patch quadr  4     $divIJ  $divJKC    $h    -$b    $h    $b   -$h    $b   -$h   -$b; # CORE
  patch quadr  3     $divIJ  $divJK     $z    -$x    $z    $x    $h    $x    $h   -$x; # Top long
  patch quadr  3     $divIJ  $divJK    -$h    -$x   -$h    $x   -$z    $x   -$z   -$x; # Bot long
  patch quadr  3     $divIJ  $divJKL    $h    -$x    $h   -$b   -$h   -$b   -$h   -$x; # Left CHECK
  patch quadr  3     $divIJ  $divJKR    $h     $b    $h    $x   -$h    $x   -$h    $b; # Right
#
# TYPE B 2 by 4 layers 8#9
#                mat  nBars  area      yI		   zI    yJ		 zJ
  layer straight  7     4    0.994    $h 	 	  -$b    $h 	$b;
  layer straight  7     4    0.994    -$h 	  -$b   -$h		 $b;
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Column section story 23

set z1 14; # width loading along this direction Bending about this direction
set x1 20; # depth, bending about z-direction
set d 2;  # Clear distance

set b [expr ($x1-2*$d)/2]; #core 
set h [expr ($z1-2*$d)/2]; #core 
set x [expr $x1/2]; #out
set z [expr $z1/2]; #out

set divIJ 4;
set divJKC 66;  # CORE
set divJK  100; # TOP-BOT Long parts
set divJKL 20;  # LEFT SHORT
set divJKR 20;  # RIGHT SHORT

section fiberSec 23 {
#             mat ndivIJ ndivJK          yI    zI    yJ    zJ    yK    zK    yL    zL
  patch quadr  4     $divIJ  $divJKC    $h    -$b    $h    $b   -$h    $b   -$h   -$b; # CORE
  patch quadr  3     $divIJ  $divJK     $z    -$x    $z    $x    $h    $x    $h   -$x; # Top long
  patch quadr  3     $divIJ  $divJK    -$h    -$x   -$h    $x   -$z    $x   -$z   -$x; # Bot long
  patch quadr  3     $divIJ  $divJKL    $h    -$x    $h   -$b   -$h   -$b   -$h   -$x; # Left CHECK
  patch quadr  3     $divIJ  $divJKR    $h     $b    $h    $x   -$h    $x   -$h    $b; # Right
#
# TYPE A 2 by 3 layers 6#9
#                mat  nBars  area      yI		   zI    yJ		 zJ
  layer straight  7     3    0.994     $h  	  -$b    $h 	$b;
  layer straight  7     3    0.994     -$h	  -$b   -$h		 $b;
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Column section story 31

set z1 14; # width loading along this direction Bending about this direction
set x1 20; # depth, bending about z-direction
set d 2;  # Clear distance

set b [expr ($x1-2*$d)/2]; #core 
set h [expr ($z1-2*$d)/2]; #core 
set x [expr $x1/2]; #out
set z [expr $z1/2]; #out

set divIJ 4;
set divJKC 66;  # CORE
set divJK  100; # TOP-BOT Long parts
set divJKL 20;  # LEFT SHORT
set divJKR 20;  # RIGHT SHORT

section fiberSec 31 {
#             mat ndivIJ ndivJK          yI    zI    yJ    zJ    yK    zK    yL    zL
  patch quadr  6     $divIJ  $divJKC    $h    -$b    $h    $b   -$h    $b   -$h   -$b; # CORE
  patch quadr  5     $divIJ  $divJK     $z    -$x    $z    $x    $h    $x    $h   -$x; # Top long
  patch quadr  5     $divIJ  $divJK    -$h    -$x   -$h    $x   -$z    $x   -$z   -$x; # Bot long
  patch quadr  5     $divIJ  $divJKL    $h    -$x    $h   -$b   -$h   -$b   -$h   -$x; # Left CHECK
  patch quadr  5     $divIJ  $divJKR    $h     $b    $h    $x   -$h    $x   -$h    $b; # Right
#
# TYPE A 2 by 3 layers 6#7
#                mat  nBars  area      yI		   zI    yJ		 zJ
  layer straight  7     3    0.601    $h  	  -$b    $h 	$b;
  layer straight  7     3    0.601     -$h	  -$b   -$h		 $b;
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Column section story 32

set z1 14; # width loading along this direction Bending about this direction
set x1 20; # depth, bending about z-direction
set d 2;  # Clear distance

set b [expr ($x1-2*$d)/2]; #core 
set h [expr ($z1-2*$d)/2]; #core 
set x [expr $x1/2]; #out
set z [expr $z1/2]; #out

set divIJ 4;
set divJKC 66;  # CORE
set divJK  100; # TOP-BOT Long parts
set divJKL 20;  # LEFT SHORT
set divJKR 20;  # RIGHT SHORT

section fiberSec 32 {
#             mat ndivIJ ndivJK          yI    zI    yJ    zJ    yK    zK    yL    zL
  patch quadr  6     $divIJ  $divJKC    $h    -$b    $h    $b   -$h    $b   -$h   -$b; # CORE
  patch quadr  5     $divIJ  $divJK     $z    -$x    $z    $x    $h    $x    $h   -$x; # Top long
  patch quadr  5     $divIJ  $divJK    -$h    -$x   -$h    $x   -$z    $x   -$z   -$x; # Bot long
  patch quadr  5     $divIJ  $divJKL    $h    -$x    $h   -$b   -$h   -$b   -$h   -$x; # Left CHECK
  patch quadr  5     $divIJ  $divJKR    $h     $b    $h    $x   -$h    $x   -$h    $b; # Right
#
# TYPE B 2 by 4 layers 8#9
#                mat  nBars  area      yI		   zI    yJ		 zJ
  layer straight  7     4    0.994     $h  	  -$b    $h 	$b;
  layer straight  7     4    0.994     -$h 		  -$b   -$h		 $b;
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Column section story 33

set z1 14; # width loading along this direction Bending about this direction
set x1 20; # depth, bending about z-direction
set d 2;  # Clear distance

set b [expr ($x1-2*$d)/2]; #core 
set h [expr ($z1-2*$d)/2]; #core 
set x [expr $x1/2]; #out
set z [expr $z1/2]; #out

set divIJ 4;
set divJKC 66;  # CORE
set divJK  100; # TOP-BOT Long parts
set divJKL 20;  # LEFT SHORT
set divJKR 20;  # RIGHT SHORT

section fiberSec 33 {
#             mat ndivIJ ndivJK          yI    zI    yJ    zJ    yK    zK    yL    zL
  patch quadr  6     $divIJ  $divJKC    $h    -$b    $h    $b   -$h    $b   -$h   -$b; # CORE
  patch quadr  5     $divIJ  $divJK     $z    -$x    $z    $x    $h    $x    $h   -$x; # Top long
  patch quadr  5     $divIJ  $divJK    -$h    -$x   -$h    $x   -$z    $x   -$z   -$x; # Bot long
  patch quadr  5     $divIJ  $divJKL    $h    -$x    $h   -$b   -$h   -$b   -$h   -$x; # Left CHECK
  patch quadr  5     $divIJ  $divJKR    $h     $b    $h    $x   -$h    $x   -$h    $b; # Right
#
# TYPE A 2 by 3 layers 6#9
#                mat  nBars  area      yI		   zI    yJ		 zJ
  layer straight  7     3    0.994     $h  	  -$b    $h 	$b;
  layer straight  7     3    0.994     -$h 		  -$b   -$h		 $b;
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#DEFINE BEAM SECTIONS
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

# Floor 1 beam section 101
set z1 30; # width loading along this direction Bending about this direction
set x1 16; # depth, bending about z-direction
set d 2;  # Clear distance

set b [expr ($x1-2*$d)/2]; #core 
set h [expr ($z1-2*$d)/2]; #core 
set x [expr $x1/2]; #out
set z [expr $z1/2]; #out

set divIJ 4;
set divJKC 66;  # CORE
set divJK  100; # TOP-BOT Long parts
set divJKL 20;  # LEFT SHORT
set divJKR 20;  # RIGHT SHORT

section fiberSec 101 {
#             mat ndivIJ ndivJK          yI    zI    yJ    zJ    yK    zK    yL    zL
  patch quadr  4     $divIJ  $divJKC    $h    -$b    $h    $b   -$h    $b   -$h   -$b; # CORE
  patch quadr  3     $divIJ  $divJK     $z    -$x    $z    $x    $h    $x    $h   -$x; # Top long
  patch quadr  3     $divIJ  $divJK    -$h    -$x   -$h    $x   -$z    $x   -$z   -$x; # Bot long
  patch quadr  3     $divIJ  $divJKL    $h    -$x    $h   -$b   -$h   -$b   -$h   -$x; # Left CHECK
  patch quadr  3     $divIJ  $divJKR    $h     $b    $h    $x   -$h    $x   -$h    $b; # Right
#
# TYPE A 2 by 3 layers 2#8 + 2#9
#                mat  nBars  area      yI		   zI    yJ		 zJ
  layer straight  8     2    0.994     $h  	  -$b    $h 	$b;
  layer straight  8     2    0.785    -$h 	  -$b   -$h		 $b;
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Floor 1 beam section 102
set z1 30; # width loading along this direction Bending about this direction
set x1 16; # depth, bending about z-direction
set d 2;  # Clear distance

set b [expr ($x1-2*$d)/2]; #core 
set h [expr ($z1-2*$d)/2]; #core 
set x [expr $x1/2]; #out
set z [expr $z1/2]; #out

set divIJ 4;
set divJKC 66;  # CORE
set divJK  100; # TOP-BOT Long parts
set divJKL 20;  # LEFT SHORT
set divJKR 20;  # RIGHT SHORT

section fiberSec 102 {
#             mat ndivIJ ndivJK          yI    zI    yJ    zJ    yK    zK    yL    zL
  patch quadr  4     $divIJ  $divJKC    $h    -$b    $h    $b   -$h    $b   -$h   -$b; # CORE
  patch quadr  3     $divIJ  $divJK     $z    -$x    $z    $x    $h    $x    $h   -$x; # Top long
  patch quadr  3     $divIJ  $divJK    -$h    -$x   -$h    $x   -$z    $x   -$z   -$x; # Bot long
  patch quadr  3     $divIJ  $divJKL    $h    -$x    $h   -$b   -$h   -$b   -$h   -$x; # Left CHECK
  patch quadr  3     $divIJ  $divJKR    $h     $b    $h    $x   -$h    $x   -$h    $b; # Right
#
# TYPE A 2 by 3 layers 2#7 + 2#9
#                mat  nBars  area      yI		   zI    yJ		 zJ
  layer straight  8     2    0.994     $h  	  -$b    $h 	$b;
  layer straight  8     2    0.601     -$h 		  -$b   -$h		 $b;
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Floor 1 beam section 103
set z1 30; # width loading along this direction Bending about this direction
set x1 16; # depth, bending about z-direction
set d 2;  # Clear distance

set b [expr ($x1-2*$d)/2]; #core 
set h [expr ($z1-2*$d)/2]; #core 
set x [expr $x1/2]; #out
set z [expr $z1/2]; #out

set divIJ 4;
set divJKC 66;  # CORE
set divJK  100; # TOP-BOT Long parts
set divJKL 20;  # LEFT SHORT
set divJKR 20;  # RIGHT SHORT

section fiberSec 103 {
#             mat ndivIJ ndivJK          yI    zI    yJ    zJ    yK    zK    yL    zL
  patch quadr  4     $divIJ  $divJKC    $h    -$b    $h    $b   -$h    $b   -$h   -$b; # CORE
  patch quadr  3     $divIJ  $divJK     $z    -$x    $z    $x    $h    $x    $h   -$x; # Top long
  patch quadr  3     $divIJ  $divJK    -$h    -$x   -$h    $x   -$z    $x   -$z   -$x; # Bot long
  patch quadr  3     $divIJ  $divJKL    $h    -$x    $h   -$b   -$h   -$b   -$h   -$x; # Left CHECK
  patch quadr  3     $divIJ  $divJKR    $h     $b    $h    $x   -$h    $x   -$h    $b; # Right
#
# TYPE A 2 by 3 layers 2#6 + 2#9
#                mat  nBars  area      yI		   zI    yJ		 zJ
  layer straight  8     2    0.994     $h  	  -$b    $h 	$b;
  layer straight  8     2    0.442     -$h 		  -$b   -$h		 $b;
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Floor 1 beam section 104
set z1 30; # width loading along this direction Bending about this direction
set x1 16; # depth, bending about z-direction
set d 2;  # Clear distance

set b [expr ($x1-2*$d)/2]; #core 
set h [expr ($z1-2*$d)/2]; #core 
set x [expr $x1/2]; #out
set z [expr $z1/2]; #out

set divIJ 4;
set divJKC 66;  # CORE
set divJK  100; # TOP-BOT Long parts
set divJKL 20;  # LEFT SHORT
set divJKR 20;  # RIGHT SHORT

section fiberSec 104 {
#             mat ndivIJ ndivJK          yI    zI    yJ    zJ    yK    zK    yL    zL
  patch quadr  4     $divIJ  $divJKC    $h    -$b    $h    $b   -$h    $b   -$h   -$b; # CORE
  patch quadr  3     $divIJ  $divJK     $z    -$x    $z    $x    $h    $x    $h   -$x; # Top long
  patch quadr  3     $divIJ  $divJK    -$h    -$x   -$h    $x   -$z    $x   -$z   -$x; # Bot long
  patch quadr  3     $divIJ  $divJKL    $h    -$x    $h   -$b   -$h   -$b   -$h   -$x; # Left CHECK
  patch quadr  3     $divIJ  $divJKR    $h     $b    $h    $x   -$h    $x   -$h    $b; # Right
#
# TYPE A 2 by 3 layers 2#7 + 3#8
#                mat  nBars  area      yI		   zI    yJ		 zJ
  layer straight  8     3    0.785     $h  	  -$b    $h 	$b;
  layer straight  8     2    0.601   -$h 		  -$b   -$h		 $b;
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Floor 1 beam section 105
set z1 30; # width loading along this direction Bending about this direction
set x1 16; # depth, bending about z-direction
set d 2;  # Clear distance

set b [expr ($x1-2*$d)/2]; #core 
set h [expr ($z1-2*$d)/2]; #core 
set x [expr $x1/2]; #out
set z [expr $z1/2]; #out

set divIJ 4;
set divJKC 66;  # CORE
set divJK  100; # TOP-BOT Long parts
set divJKL 20;  # LEFT SHORT
set divJKR 20;  # RIGHT SHORT

section fiberSec 105 {
#             mat ndivIJ ndivJK          yI    zI    yJ    zJ    yK    zK    yL    zL
  patch quadr  4     $divIJ  $divJKC    $h    -$b    $h    $b   -$h    $b   -$h   -$b; # CORE
  patch quadr  3     $divIJ  $divJK     $z    -$x    $z    $x    $h    $x    $h   -$x; # Top long
  patch quadr  3     $divIJ  $divJK    -$h    -$x   -$h    $x   -$z    $x   -$z   -$x; # Bot long
  patch quadr  3     $divIJ  $divJKL    $h    -$x    $h   -$b   -$h   -$b   -$h   -$x; # Left CHECK
  patch quadr  3     $divIJ  $divJKR    $h     $b    $h    $x   -$h    $x   -$h    $b; # Right
#
# TYPE A 2 by 3 layers 2#8 + 2#9
#                mat  nBars  area      yI		   zI    yJ		 zJ
  layer straight  8     2    0.994     $h  	  -$b    $h 	$b;
  layer straight  8     2    0.785     -$h 	  -$b   -$h		 $b;
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Floor 2 beam section 201
set z1 22.5; # width loading along this direction Bending about this direction
set x1 16; # depth, bending about z-direction
set d 2;  # Clear distance

set b [expr ($x1-2*$d)/2]; #core 
set h [expr ($z1-2*$d)/2]; #core 
set x [expr $x1/2]; #out
set z [expr $z1/2]; #out

set divIJ 4;
set divJKC 66;  # CORE
set divJK  100; # TOP-BOT Long parts
set divJKL 20;  # LEFT SHORT
set divJKR 20;  # RIGHT SHORT

section fiberSec 201 {
#             mat ndivIJ ndivJK          yI    zI    yJ    zJ    yK    zK    yL    zL
  patch quadr  6     $divIJ  $divJKC    $h    -$b    $h    $b   -$h    $b   -$h   -$b; # CORE
  patch quadr  5     $divIJ  $divJK     $z    -$x    $z    $x    $h    $x    $h   -$x; # Top long
  patch quadr  5     $divIJ  $divJK    -$h    -$x   -$h    $x   -$z    $x   -$z   -$x; # Bot long
  patch quadr  5     $divIJ  $divJKL    $h    -$x    $h   -$b   -$h   -$b   -$h   -$x; # Left CHECK
  patch quadr  5     $divIJ  $divJKR    $h     $b    $h    $x   -$h    $x   -$h    $b; # Right
#
# TYPE A 2 by 3 layers 2#7 + 3#8
#                mat  nBars  area      yI		   zI    yJ		 zJ
  layer straight  8     3    0.785    $h  	  -$b    $h 	$b;
  layer straight  8     2    0.601     -$h 	  -$b   -$h		 $b;
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Floor 2 beam section 202
set z1 22.5; # width loading along this direction Bending about this direction
set x1 16; # depth, bending about z-direction
set d 2;  # Clear distance

set b [expr ($x1-2*$d)/2]; #core 
set h [expr ($z1-2*$d)/2]; #core 
set x [expr $x1/2]; #out
set z [expr $z1/2]; #out

set divIJ 4;
set divJKC 66;  # CORE
set divJK  100; # TOP-BOT Long parts
set divJKL 20;  # LEFT SHORT
set divJKR 20;  # RIGHT SHORT

section fiberSec 202 {
#             mat ndivIJ ndivJK          yI    zI    yJ    zJ    yK    zK    yL    zL
  patch quadr  6     $divIJ  $divJKC    $h    -$b    $h    $b   -$h    $b   -$h   -$b; # CORE
  patch quadr  5     $divIJ  $divJK     $z    -$x    $z    $x    $h    $x    $h   -$x; # Top long
  patch quadr  5     $divIJ  $divJK    -$h    -$x   -$h    $x   -$z    $x   -$z   -$x; # Bot long
  patch quadr  5     $divIJ  $divJKL    $h    -$x    $h   -$b   -$h   -$b   -$h   -$x; # Left CHECK
  patch quadr  5     $divIJ  $divJKR    $h     $b    $h    $x   -$h    $x   -$h    $b; # Right
#
# TYPE A 2 by 3 layers 2#6 + 3#9
#                mat  nBars  area      yI		   zI    yJ		 zJ
  layer straight  8     3    0.994     $h  	  -$b    $h 	$b;
  layer straight  8     2    0.442     -$h 	  -$b   -$h		 $b;
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Floor 2 beam section 203
set z1 22.5; # width loading along this direction Bending about this direction
set x1 16; # depth, bending about z-direction
set d 2;  # Clear distance

set b [expr ($x1-2*$d)/2]; #core 
set h [expr ($z1-2*$d)/2]; #core 
set x [expr $x1/2]; #out
set z [expr $z1/2]; #out

set divIJ 4;
set divJKC 66;  # CORE
set divJK  100; # TOP-BOT Long parts
set divJKL 20;  # LEFT SHORT
set divJKR 20;  # RIGHT SHORT

section fiberSec 203 {
#             mat ndivIJ ndivJK          yI    zI    yJ    zJ    yK    zK    yL    zL
  patch quadr  6     $divIJ  $divJKC    $h    -$b    $h    $b   -$h    $b   -$h   -$b; # CORE
  patch quadr  5     $divIJ  $divJK     $z    -$x    $z    $x    $h    $x    $h   -$x; # Top long
  patch quadr  5     $divIJ  $divJK    -$h    -$x   -$h    $x   -$z    $x   -$z   -$x; # Bot long
  patch quadr  5     $divIJ  $divJKL    $h    -$x    $h   -$b   -$h   -$b   -$h   -$x; # Left CHECK
  patch quadr  5     $divIJ  $divJKR    $h     $b    $h    $x   -$h    $x   -$h    $b; # Right
#
# TYPE A 2 by 3 layers 2#6 + 3#9
#                mat  nBars  area      yI		   zI    yJ		 zJ
  layer straight  8     3    0.994     $h  	  -$b    $h 	$b;
  layer straight  8     2    0.442     -$h 	  -$b   -$h		 $b;
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Floor 2 beam section 204
set z1 22.5; # width loading along this direction Bending about this direction
set x1 16; # depth, bending about z-direction
set d 2;  # Clear distance

set b [expr ($x1-2*$d)/2]; #core 
set h [expr ($z1-2*$d)/2]; #core 
set x [expr $x1/2]; #out
set z [expr $z1/2]; #out

set divIJ 4;
set divJKC 66;  # CORE
set divJK  100; # TOP-BOT Long parts
set divJKL 20;  # LEFT SHORT
set divJKR 20;  # RIGHT SHORT

section fiberSec 204 {
#             mat ndivIJ ndivJK          yI    zI    yJ    zJ    yK    zK    yL    zL
  patch quadr  6     $divIJ  $divJKC    $h    -$b    $h    $b   -$h    $b   -$h   -$b; # CORE
  patch quadr  5     $divIJ  $divJK     $z    -$x    $z    $x    $h    $x    $h   -$x; # Top long
  patch quadr  5     $divIJ  $divJK    -$h    -$x   -$h    $x   -$z    $x   -$z   -$x; # Bot long
  patch quadr  5     $divIJ  $divJKL    $h    -$x    $h   -$b   -$h   -$b   -$h   -$x; # Left CHECK
  patch quadr  5     $divIJ  $divJKR    $h     $b    $h    $x   -$h    $x   -$h    $b; # Right
#
# TYPE A 2 by 3 layers 2#6 + 3#9
#                mat  nBars  area      yI		   zI    yJ		 zJ
  layer straight  8     3    0.994     $h  	  -$b    $h 	$b;
  layer straight  8     2    0.442     -$h 	  -$b   -$h		 $b;
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Floor 2 beam section 205
set z1 22.5; # width loading along this direction Bending about this direction
set x1 16; # depth, bending about z-direction
set d 2;  # Clear distance

set b [expr ($x1-2*$d)/2]; #core 
set h [expr ($z1-2*$d)/2]; #core 
set x [expr $x1/2]; #out
set z [expr $z1/2]; #out

set divIJ 4;
set divJKC 66;  # CORE
set divJK  100; # TOP-BOT Long parts
set divJKL 20;  # LEFT SHORT
set divJKR 20;  # RIGHT SHORT

section fiberSec 205 {
#             mat ndivIJ ndivJK          yI    zI    yJ    zJ    yK    zK    yL    zL
  patch quadr  6     $divIJ  $divJKC    $h    -$b    $h    $b   -$h    $b   -$h   -$b; # CORE
  patch quadr  5     $divIJ  $divJK     $z    -$x    $z    $x    $h    $x    $h   -$x; # Top long
  patch quadr  5     $divIJ  $divJK    -$h    -$x   -$h    $x   -$z    $x   -$z   -$x; # Bot long
  patch quadr  5     $divIJ  $divJKL    $h    -$x    $h   -$b   -$h   -$b   -$h   -$x; # Left CHECK
  patch quadr  5     $divIJ  $divJKR    $h     $b    $h    $x   -$h    $x   -$h    $b; # Right
#
# TYPE A 2 by 3 layers 2#7 + 3#8
#                mat  nBars  area      yI		   zI    yJ		 zJ
  layer straight  8     3    0.785     $h  	  -$b    $h 	$b;
  layer straight  8     2    0.601     -$h 	  -$b   -$h		 $b;
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Floor 3 beam section 301
set z1 22.5; # width loading along this direction Bending about this direction
set x1 16; # depth, bending about z-direction
set d 2;  # Clear distance

set b [expr ($x1-2*$d)/2]; #core 
set h [expr ($z1-2*$d)/2]; #core 
set x [expr $x1/2]; #out
set z [expr $z1/2]; #out

set divIJ 4;
set divJKC 66;  # CORE
set divJK  100; # TOP-BOT Long parts
set divJKL 20;  # LEFT SHORT
set divJKR 20;  # RIGHT SHORT

section fiberSec 301 {
#             mat ndivIJ ndivJK          yI    zI    yJ    zJ    yK    zK    yL    zL
  patch quadr  6     $divIJ  $divJKC    $h    -$b    $h    $b   -$h    $b   -$h   -$b; # CORE
  patch quadr  5     $divIJ  $divJK     $z    -$x    $z    $x    $h    $x    $h   -$x; # Top long
  patch quadr  5     $divIJ  $divJK    -$h    -$x   -$h    $x   -$z    $x   -$z   -$x; # Bot long
  patch quadr  5     $divIJ  $divJKL    $h    -$x    $h   -$b   -$h   -$b   -$h   -$x; # Left CHECK
  patch quadr  5     $divIJ  $divJKR    $h     $b    $h    $x   -$h    $x   -$h    $b; # Right
#
# TYPE A 2 by 3 layers 2#7 + 2#9
#                mat  nBars  area      yI		   zI    yJ		 zJ
  layer straight  8     2    0.994     $h  	  -$b    $h 	$b;
  layer straight  8     2    0.601     -$h 		  -$b   -$h		 $b;
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Floor 3 beam section 302
set z1 22.5; # width loading along this direction Bending about this direction
set x1 16; # depth, bending about z-direction
set d 2;  # Clear distance

set b [expr ($x1-2*$d)/2]; #core 
set h [expr ($z1-2*$d)/2]; #core 
set x [expr $x1/2]; #out
set z [expr $z1/2]; #out

set divIJ 4;
set divJKC 66;  # CORE
set divJK  100; # TOP-BOT Long parts
set divJKL 20;  # LEFT SHORT
set divJKR 20;  # RIGHT SHORT

section fiberSec 302 {
#             mat ndivIJ ndivJK          yI    zI    yJ    zJ    yK    zK    yL    zL
  patch quadr  6     $divIJ  $divJKC    $h    -$b    $h    $b   -$h    $b   -$h   -$b; # CORE
  patch quadr  5     $divIJ  $divJK     $z    -$x    $z    $x    $h    $x    $h   -$x; # Top long
  patch quadr  5     $divIJ  $divJK    -$h    -$x   -$h    $x   -$z    $x   -$z   -$x; # Bot long
  patch quadr  5     $divIJ  $divJKL    $h    -$x    $h   -$b   -$h   -$b   -$h   -$x; # Left CHECK
  patch quadr  5     $divIJ  $divJKR    $h     $b    $h    $x   -$h    $x   -$h    $b; # Right
#
# TYPE A 2 by 3 layers 2#6 + 3#8
#                mat  nBars  area      yI		   zI    yJ		 zJ
  layer straight  8     3    0.785     $h  	  -$b    $h 	$b;
  layer straight  8     2    0.442     -$h 		  -$b   -$h		 $b;
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Floor 3 beam section 303
set z1 22.5; # width loading along this direction Bending about this direction
set x1 16; # depth, bending about z-direction
set d 2;  # Clear distance

set b [expr ($x1-2*$d)/2]; #core 
set h [expr ($z1-2*$d)/2]; #core 
set x [expr $x1/2]; #out
set z [expr $z1/2]; #out

set divIJ 4;
set divJKC 66;  # CORE
set divJK  100; # TOP-BOT Long parts
set divJKL 20;  # LEFT SHORT
set divJKR 20;  # RIGHT SHORT

section fiberSec 303 {
#             mat ndivIJ ndivJK          yI    zI    yJ    zJ    yK    zK    yL    zL
  patch quadr  6     $divIJ  $divJKC    $h    -$b    $h    $b   -$h    $b   -$h   -$b; # CORE
  patch quadr  5     $divIJ  $divJK     $z    -$x    $z    $x    $h    $x    $h   -$x; # Top long
  patch quadr  5     $divIJ  $divJK    -$h    -$x   -$h    $x   -$z    $x   -$z   -$x; # Bot long
  patch quadr  5     $divIJ  $divJKL    $h    -$x    $h   -$b   -$h   -$b   -$h   -$x; # Left CHECK
  patch quadr  5     $divIJ  $divJKR    $h     $b    $h    $x   -$h    $x   -$h    $b; # Right
#
# TYPE A 2 by 3 layers 2#6 + 3#8
#                mat  nBars  area      yI		   zI    yJ		 zJ
  layer straight  8     3    0.785     $h  	  -$b    $h 	$b;
  layer straight  8     2    0.442    -$h 		  -$b   -$h		 $b;
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Floor 3 beam section 304
set z1 22.5; # width loading along this direction Bending about this direction
set x1 16; # depth, bending about z-direction
set d 2;  # Clear distance

set b [expr ($x1-2*$d)/2]; #core 
set h [expr ($z1-2*$d)/2]; #core 
set x [expr $x1/2]; #out
set z [expr $z1/2]; #out

set divIJ 4;
set divJKC 66;  # CORE
set divJK  100; # TOP-BOT Long parts
set divJKL 20;  # LEFT SHORT
set divJKR 20;  # RIGHT SHORT

section fiberSec 304 {
#             mat ndivIJ ndivJK          yI    zI    yJ    zJ    yK    zK    yL    zL
  patch quadr  6     $divIJ  $divJKC    $h    -$b    $h    $b   -$h    $b   -$h   -$b; # CORE
  patch quadr  5     $divIJ  $divJK     $z    -$x    $z    $x    $h    $x    $h   -$x; # Top long
  patch quadr  5     $divIJ  $divJK    -$h    -$x   -$h    $x   -$z    $x   -$z   -$x; # Bot long
  patch quadr  5     $divIJ  $divJKL    $h    -$x    $h   -$b   -$h   -$b   -$h   -$x; # Left CHECK
  patch quadr  5     $divIJ  $divJKR    $h     $b    $h    $x   -$h    $x   -$h    $b; # Right
#
# TYPE A 2 by 3 layers 2#6 + 3#8
#                mat  nBars  area      yI		   zI    yJ		 zJ
  layer straight  8     3    0.785     $h  	  -$b    $h 	$b;
  layer straight  8     2    0.442   -$h 		  -$b   -$h		 $b;
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Floor 3 beam section 305
set z1 22.5; # width loading along this direction Bending about this direction
set x1 16; # depth, bending about z-direction
set d 2;  # Clear distance

set b [expr ($x1-2*$d)/2]; #core 
set h [expr ($z1-2*$d)/2]; #core 
set x [expr $x1/2]; #out
set z [expr $z1/2]; #out

set divIJ 4;
set divJKC 66;  # CORE
set divJK  100; # TOP-BOT Long parts
set divJKL 20;  # LEFT SHORT
set divJKR 20;  # RIGHT SHORT

section fiberSec 305 {
#             mat ndivIJ ndivJK          yI    zI    yJ    zJ    yK    zK    yL    zL
  patch quadr  6     $divIJ  $divJKC    $h    -$b    $h    $b   -$h    $b   -$h   -$b; # CORE
  patch quadr  5     $divIJ  $divJK     $z    -$x    $z    $x    $h    $x    $h   -$x; # Top long
  patch quadr  5     $divIJ  $divJK    -$h    -$x   -$h    $x   -$z    $x   -$z   -$x; # Bot long
  patch quadr  5     $divIJ  $divJKL    $h    -$x    $h   -$b   -$h   -$b   -$h   -$x; # Left CHECK
  patch quadr  5     $divIJ  $divJKR    $h     $b    $h    $x   -$h    $x   -$h    $b; # Right
#
# TYPE A 2 by 3 layers 2#7 + 3#8
#                mat  nBars  area      yI		   zI    yJ		 zJ
  layer straight  8     3    0.785     $h  	  -$b    $h 	$b;
  layer straight  8     2    0.601     -$h 		  -$b   -$h		 $b;
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Floor 4 beam section 401
set z1 22.5; # width loading along this direction Bending about this direction
set x1 16; # depth, bending about z-direction
set d 2;  # Clear distance

set b [expr ($x1-2*$d)/2]; #core 
set h [expr ($z1-2*$d)/2]; #core 
set x [expr $x1/2]; #out
set z [expr $z1/2]; #out

set divIJ 4;
set divJKC 66;  # CORE
set divJK  100; # TOP-BOT Long parts
set divJKL 20;  # LEFT SHORT
set divJKR 20;  # RIGHT SHORT

section fiberSec 401 {
#             mat ndivIJ ndivJK          yI    zI    yJ    zJ    yK    zK    yL    zL
  patch quadr  6     $divIJ  $divJKC    $h    -$b    $h    $b   -$h    $b   -$h   -$b; # CORE
  patch quadr  5     $divIJ  $divJK     $z    -$x    $z    $x    $h    $x    $h   -$x; # Top long
  patch quadr  5     $divIJ  $divJK    -$h    -$x   -$h    $x   -$z    $x   -$z   -$x; # Bot long
  patch quadr  5     $divIJ  $divJKL    $h    -$x    $h   -$b   -$h   -$b   -$h   -$x; # Left CHECK
  patch quadr  5     $divIJ  $divJKR    $h     $b    $h    $x   -$h    $x   -$h    $b; # Right
#
# TYPE A 2 by 3 layers 2#7 + 2#9
#                mat  nBars  area      yI		   zI    yJ		 zJ
  layer straight  8     2    0.994     $h  	  -$b    $h 	$b;
  layer straight  8     2    0.601     -$h 		  -$b   -$h		 $b;
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Floor 4 beam section 402
set z1 22.5; # width loading along this direction Bending about this direction
set x1 16; # depth, bending about z-direction
set d 2;  # Clear distance

set b [expr ($x1-2*$d)/2]; #core 
set h [expr ($z1-2*$d)/2]; #core 
set x [expr $x1/2]; #out
set z [expr $z1/2]; #out

set divIJ 4;
set divJKC 66;  # CORE
set divJK  100; # TOP-BOT Long parts
set divJKL 20;  # LEFT SHORT
set divJKR 20;  # RIGHT SHORT

section fiberSec 402 {
#             mat ndivIJ ndivJK          yI    zI    yJ    zJ    yK    zK    yL    zL
  patch quadr  6     $divIJ  $divJKC    $h    -$b    $h    $b   -$h    $b   -$h   -$b; # CORE
  patch quadr  5     $divIJ  $divJK     $z    -$x    $z    $x    $h    $x    $h   -$x; # Top long
  patch quadr  5     $divIJ  $divJK    -$h    -$x   -$h    $x   -$z    $x   -$z   -$x; # Bot long
  patch quadr  5     $divIJ  $divJKL    $h    -$x    $h   -$b   -$h   -$b   -$h   -$x; # Left CHECK
  patch quadr  5     $divIJ  $divJKR    $h     $b    $h    $x   -$h    $x   -$h    $b; # Right
#
# TYPE A 2 by 3 layers 2#6 + 3#8
#                mat  nBars  area      yI		   zI    yJ		 zJ
  layer straight  8     3    0.785     $h  	  -$b    $h 	$b;
  layer straight  8     2    0.442     -$h 		  -$b   -$h		 $b;
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Floor 4 beam section 405
set z1 22.5; # width loading along this direction Bending about this direction
set x1 16; # depth, bending about z-direction
set d 2;  # Clear distance

set b [expr ($x1-2*$d)/2]; #core 
set h [expr ($z1-2*$d)/2]; #core 
set x [expr $x1/2]; #out
set z [expr $z1/2]; #out

set divIJ 4;
set divJKC 66;  # CORE
set divJK  100; # TOP-BOT Long parts
set divJKL 20;  # LEFT SHORT
set divJKR 20;  # RIGHT SHORT

section fiberSec 405 {
#             mat ndivIJ ndivJK          yI    zI    yJ    zJ    yK    zK    yL    zL
  patch quadr  6     $divIJ  $divJKC    $h    -$b    $h    $b   -$h    $b   -$h   -$b; # CORE
  patch quadr  5     $divIJ  $divJK     $z    -$x    $z    $x    $h    $x    $h   -$x; # Top long
  patch quadr  5     $divIJ  $divJK    -$h    -$x   -$h    $x   -$z    $x   -$z   -$x; # Bot long
  patch quadr  5     $divIJ  $divJKL    $h    -$x    $h   -$b   -$h   -$b   -$h   -$x; # Left CHECK
  patch quadr  5     $divIJ  $divJKR    $h     $b    $h    $x   -$h    $x   -$h    $b; # Right
#
# TYPE A 2 by 3 layers 2#7 + 2#9
#                mat  nBars  area      yI		   zI    yJ		 zJ
  layer straight  8     2    0.994     $h  	  -$b    $h 	$b;
  layer straight  8     2    0.601     -$h 		  -$b   -$h		 $b;
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Floor 5 beam section 501
set z1 22.5; # width loading along this direction Bending about this direction
set x1 16; # depth, bending about z-direction
set d 2;  # Clear distance

set b [expr ($x1-2*$d)/2]; #core 
set h [expr ($z1-2*$d)/2]; #core 
set x [expr $x1/2]; #out
set z [expr $z1/2]; #out

set divIJ 4;
set divJKC 66;  # CORE
set divJK  100; # TOP-BOT Long parts
set divJKL 20;  # LEFT SHORT
set divJKR 20;  # RIGHT SHORT

section fiberSec 501 {
#             mat ndivIJ ndivJK          yI    zI    yJ    zJ    yK    zK    yL    zL
  patch quadr  6     $divIJ  $divJKC    $h    -$b    $h    $b   -$h    $b   -$h   -$b; # CORE
  patch quadr  5     $divIJ  $divJK     $z    -$x    $z    $x    $h    $x    $h   -$x; # Top long
  patch quadr  5     $divIJ  $divJK    -$h    -$x   -$h    $x   -$z    $x   -$z   -$x; # Bot long
  patch quadr  5     $divIJ  $divJKL    $h    -$x    $h   -$b   -$h   -$b   -$h   -$x; # Left CHECK
  patch quadr  5     $divIJ  $divJKR    $h     $b    $h    $x   -$h    $x   -$h    $b; # Right
#
# TYPE A 2 by 3 layers 2#7 + 2#8
#                mat  nBars  area      yI		   zI    yJ		 zJ
  layer straight  8     2    0.785     $h  	  -$b    $h 	$b;
  layer straight  8     2    0.601     -$h 		  -$b   -$h		 $b;
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Floor 5 beam section 502
set z1 22.5; # width loading along this direction Bending about this direction
set x1 16; # depth, bending about z-direction
set d 2;  # Clear distance

set b [expr ($x1-2*$d)/2]; #core 
set h [expr ($z1-2*$d)/2]; #core 
set x [expr $x1/2]; #out
set z [expr $z1/2]; #out

set divIJ 4;
set divJKC 66;  # CORE
set divJK  100; # TOP-BOT Long parts
set divJKL 20;  # LEFT SHORT
set divJKR 20;  # RIGHT SHORT

section fiberSec 502 {
#             mat ndivIJ ndivJK          yI    zI    yJ    zJ    yK    zK    yL    zL
  patch quadr  6     $divIJ  $divJKC    $h    -$b    $h    $b   -$h    $b   -$h   -$b; # CORE
  patch quadr  5     $divIJ  $divJK     $z    -$x    $z    $x    $h    $x    $h   -$x; # Top long
  patch quadr  5     $divIJ  $divJK    -$h    -$x   -$h    $x   -$z    $x   -$z   -$x; # Bot long
  patch quadr  5     $divIJ  $divJKL    $h    -$x    $h   -$b   -$h   -$b   -$h   -$x; # Left CHECK
  patch quadr  5     $divIJ  $divJKR    $h     $b    $h    $x   -$h    $x   -$h    $b; # Right
#
# TYPE A 2 by 3 layers 2#6 + 2#9
#                mat  nBars  area      yI		   zI    yJ		 zJ
  layer straight  8     2    0.994    $h  	  -$b    $h 	$b;
  layer straight  8     2    0.442     -$h 		  -$b   -$h		 $b;
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Floor 5 beam section 503
set z1 22.5; # width loading along this direction Bending about this direction
set x1 16; # depth, bending about z-direction
set d 2;  # Clear distance

set b [expr ($x1-2*$d)/2]; #core 
set h [expr ($z1-2*$d)/2]; #core 
set x [expr $x1/2]; #out
set z [expr $z1/2]; #out

set divIJ 4;
set divJKC 66;  # CORE
set divJK  100; # TOP-BOT Long parts
set divJKL 20;  # LEFT SHORT
set divJKR 20;  # RIGHT SHORT

section fiberSec 503 {
#             mat ndivIJ ndivJK          yI    zI    yJ    zJ    yK    zK    yL    zL
  patch quadr  6     $divIJ  $divJKC    $h    -$b    $h    $b   -$h    $b   -$h   -$b; # CORE
  patch quadr  5     $divIJ  $divJK     $z    -$x    $z    $x    $h    $x    $h   -$x; # Top long
  patch quadr  5     $divIJ  $divJK    -$h    -$x   -$h    $x   -$z    $x   -$z   -$x; # Bot long
  patch quadr  5     $divIJ  $divJKL    $h    -$x    $h   -$b   -$h   -$b   -$h   -$x; # Left CHECK
  patch quadr  5     $divIJ  $divJKR    $h     $b    $h    $x   -$h    $x   -$h    $b; # Right
#
# TYPE A 2 by 3 layers 2#6 + 2#9
#                mat  nBars  area      yI		   zI    yJ		 zJ
  layer straight  8     2    0.994     $h  	  -$b    $h 	$b;
  layer straight  8     2    0.442     -$h 		  -$b   -$h		 $b;
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Floor 5 beam section 504
set z1 22.5; # width loading along this direction Bending about this direction
set x1 16; # depth, bending about z-direction
set d 2;  # Clear distance

set b [expr ($x1-2*$d)/2]; #core 
set h [expr ($z1-2*$d)/2]; #core 
set x [expr $x1/2]; #out
set z [expr $z1/2]; #out

set divIJ 4;
set divJKC 66;  # CORE
set divJK  100; # TOP-BOT Long parts
set divJKL 20;  # LEFT SHORT
set divJKR 20;  # RIGHT SHORT

section fiberSec 504 {
#             mat ndivIJ ndivJK          yI    zI    yJ    zJ    yK    zK    yL    zL
  patch quadr  6     $divIJ  $divJKC    $h    -$b    $h    $b   -$h    $b   -$h   -$b; # CORE
  patch quadr  5     $divIJ  $divJK     $z    -$x    $z    $x    $h    $x    $h   -$x; # Top long
  patch quadr  5     $divIJ  $divJK    -$h    -$x   -$h    $x   -$z    $x   -$z   -$x; # Bot long
  patch quadr  5     $divIJ  $divJKL    $h    -$x    $h   -$b   -$h   -$b   -$h   -$x; # Left CHECK
  patch quadr  5     $divIJ  $divJKR    $h     $b    $h    $x   -$h    $x   -$h    $b; # Right
#
# TYPE A 2 by 3 layers 2#6 + 3#8
#                mat  nBars  area      yI		   zI    yJ		 zJ
  layer straight  8     3    0.785     $h  	  -$b    $h 	$b;
  layer straight  8     2    0.442     -$h 		  -$b   -$h		 $b;
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Floor 5 beam section 505
set z1 22.5; # width loading along this direction Bending about this direction
set x1 16; # depth, bending about z-direction
set d 2;  # Clear distance

set b [expr ($x1-2*$d)/2]; #core 
set h [expr ($z1-2*$d)/2]; #core 
set x [expr $x1/2]; #out
set z [expr $z1/2]; #out

set divIJ 4;
set divJKC 66;  # CORE
set divJK  100; # TOP-BOT Long parts
set divJKL 20;  # LEFT SHORT
set divJKR 20;  # RIGHT SHORT

section fiberSec 505 {
#             mat ndivIJ ndivJK          yI    zI    yJ    zJ    yK    zK    yL    zL
  patch quadr  6     $divIJ  $divJKC    $h    -$b    $h    $b   -$h    $b   -$h   -$b; # CORE
  patch quadr  5     $divIJ  $divJK     $z    -$x    $z    $x    $h    $x    $h   -$x; # Top long
  patch quadr  5     $divIJ  $divJK    -$h    -$x   -$h    $x   -$z    $x   -$z   -$x; # Bot long
  patch quadr  5     $divIJ  $divJKL    $h    -$x    $h   -$b   -$h   -$b   -$h   -$x; # Left CHECK
  patch quadr  5     $divIJ  $divJKR    $h     $b    $h    $x   -$h    $x   -$h    $b; # Right
#
# TYPE A 2 by 3 layers 2#7 + 2#9
#                mat  nBars  area      yI		   zI    yJ		 zJ
  layer straight  8     2    0.994     $h  	  -$b    $h 	$b;
  layer straight  8     2    0.601     -$h 		  -$b   -$h		 $b;
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Floor 6 beam section 601
set z1 22.5; # width loading along this direction Bending about this direction
set x1 16; # depth, bending about z-direction
set d 2;  # Clear distance

set b [expr ($x1-2*$d)/2]; #core 
set h [expr ($z1-2*$d)/2]; #core 
set x [expr $x1/2]; #out
set z [expr $z1/2]; #out

set divIJ 4;
set divJKC 66;  # CORE
set divJK  100; # TOP-BOT Long parts
set divJKL 20;  # LEFT SHORT
set divJKR 20;  # RIGHT SHORT

section fiberSec 601 {
#             mat ndivIJ ndivJK          yI    zI    yJ    zJ    yK    zK    yL    zL
  patch quadr  6     $divIJ  $divJKC    $h    -$b    $h    $b   -$h    $b   -$h   -$b; # CORE
  patch quadr  5     $divIJ  $divJK     $z    -$x    $z    $x    $h    $x    $h   -$x; # Top long
  patch quadr  5     $divIJ  $divJK    -$h    -$x   -$h    $x   -$z    $x   -$z   -$x; # Bot long
  patch quadr  5     $divIJ  $divJKL    $h    -$x    $h   -$b   -$h   -$b   -$h   -$x; # Left CHECK
  patch quadr  5     $divIJ  $divJKR    $h     $b    $h    $x   -$h    $x   -$h    $b; # Right
#
# TYPE A 2 by 3 layers 2#7 + 2#7
#                mat  nBars  area      yI		   zI    yJ		 zJ
  layer straight  8     2    0.601    $h  	  -$b    $h 	$b;
  layer straight  8     2    0.601     -$h 		  -$b   -$h		 $b;
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Floor 6 beam section 602
set z1 22.5; # width loading along this direction Bending about this direction
set x1 16; # depth, bending about z-direction
set d 2;  # Clear distance

set b [expr ($x1-2*$d)/2]; #core 
set h [expr ($z1-2*$d)/2]; #core 
set x [expr $x1/2]; #out
set z [expr $z1/2]; #out

set divIJ 4;
set divJKC 66;  # CORE
set divJK  100; # TOP-BOT Long parts
set divJKL 20;  # LEFT SHORT
set divJKR 20;  # RIGHT SHORT

section fiberSec 602 {
#             mat ndivIJ ndivJK          yI    zI    yJ    zJ    yK    zK    yL    zL
  patch quadr  6     $divIJ  $divJKC    $h    -$b    $h    $b   -$h    $b   -$h   -$b; # CORE
  patch quadr  5     $divIJ  $divJK     $z    -$x    $z    $x    $h    $x    $h   -$x; # Top long
  patch quadr  5     $divIJ  $divJK    -$h    -$x   -$h    $x   -$z    $x   -$z   -$x; # Bot long
  patch quadr  5     $divIJ  $divJKL    $h    -$x    $h   -$b   -$h   -$b   -$h   -$x; # Left CHECK
  patch quadr  5     $divIJ  $divJKR    $h     $b    $h    $x   -$h    $x   -$h    $b; # Right
#
# TYPE A 2 by 3 layers 2#6 + 2#8
#                mat  nBars  area      yI		   zI    yJ		 zJ
  layer straight  8     2    0.785     $h  	  -$b    $h 	$b;
  layer straight  8     2    0.442     -$h 		  -$b   -$h		 $b;
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Floor 6 beam section 603
set z1 22.5; # width loading along this direction Bending about this direction
set x1 16; # depth, bending about z-direction
set d 2;  # Clear distance

set b [expr ($x1-2*$d)/2]; #core 
set h [expr ($z1-2*$d)/2]; #core 
set x [expr $x1/2]; #out
set z [expr $z1/2]; #out

set divIJ 4;
set divJKC 66;  # CORE
set divJK  100; # TOP-BOT Long parts
set divJKL 20;  # LEFT SHORT
set divJKR 20;  # RIGHT SHORT

section fiberSec 603 {
#             mat ndivIJ ndivJK          yI    zI    yJ    zJ    yK    zK    yL    zL
  patch quadr  6     $divIJ  $divJKC    $h    -$b    $h    $b   -$h    $b   -$h   -$b; # CORE
  patch quadr  5     $divIJ  $divJK     $z    -$x    $z    $x    $h    $x    $h   -$x; # Top long
  patch quadr  5     $divIJ  $divJK    -$h    -$x   -$h    $x   -$z    $x   -$z   -$x; # Bot long
  patch quadr  5     $divIJ  $divJKL    $h    -$x    $h   -$b   -$h   -$b   -$h   -$x; # Left CHECK
  patch quadr  5     $divIJ  $divJKR    $h     $b    $h    $x   -$h    $x   -$h    $b; # Right
#
# TYPE A 2 by 3 layers 2#6 + 2#8
#                mat  nBars  area      yI		   zI    yJ		 zJ
  layer straight  8     2    0.785     $h  	  -$b    $h 	$b;
  layer straight  8     2    0.442     -$h 		  -$b   -$h		 $b;
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Floor 6 beam section 604
set z1 22.5; # width loading along this direction Bending about this direction
set x1 16; # depth, bending about z-direction
set d 2;  # Clear distance

set b [expr ($x1-2*$d)/2]; #core 
set h [expr ($z1-2*$d)/2]; #core 
set x [expr $x1/2]; #out
set z [expr $z1/2]; #out

set divIJ 4;
set divJKC 66;  # CORE
set divJK  100; # TOP-BOT Long parts
set divJKL 20;  # LEFT SHORT
set divJKR 20;  # RIGHT SHORT

section fiberSec 604 {
#             mat ndivIJ ndivJK          yI    zI    yJ    zJ    yK    zK    yL    zL
  patch quadr  6     $divIJ  $divJKC    $h    -$b    $h    $b   -$h    $b   -$h   -$b; # CORE
  patch quadr  5     $divIJ  $divJK     $z    -$x    $z    $x    $h    $x    $h   -$x; # Top long
  patch quadr  5     $divIJ  $divJK    -$h    -$x   -$h    $x   -$z    $x   -$z   -$x; # Bot long
  patch quadr  5     $divIJ  $divJKL    $h    -$x    $h   -$b   -$h   -$b   -$h   -$x; # Left CHECK
  patch quadr  5     $divIJ  $divJKR    $h     $b    $h    $x   -$h    $x   -$h    $b; # Right
#
# TYPE A 2 by 3 layers 2#6 + 2#9
#                mat  nBars  area      yI		   zI    yJ		 zJ
  layer straight  8     2    0.994    $h  	  -$b    $h 	$b;
  layer straight  8     2    0.442     -$h 		  -$b   -$h		 $b;
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Floor 6 beam section 605
set z1 22.5; # width loading along this direction Bending about this direction
set x1 16; # depth, bending about z-direction
set d 2;  # Clear distance

set b [expr ($x1-2*$d)/2]; #core 
set h [expr ($z1-2*$d)/2]; #core 
set x [expr $x1/2]; #out
set z [expr $z1/2]; #out

set divIJ 4;
set divJKC 66;  # CORE
set divJK  100; # TOP-BOT Long parts
set divJKL 20;  # LEFT SHORT
set divJKR 20;  # RIGHT SHORT

section fiberSec 605 {
#             mat ndivIJ ndivJK          yI    zI    yJ    zJ    yK    zK    yL    zL
  patch quadr  6     $divIJ  $divJKC    $h    -$b    $h    $b   -$h    $b   -$h   -$b; # CORE
  patch quadr  5     $divIJ  $divJK     $z    -$x    $z    $x    $h    $x    $h   -$x; # Top long
  patch quadr  5     $divIJ  $divJK    -$h    -$x   -$h    $x   -$z    $x   -$z   -$x; # Bot long
  patch quadr  5     $divIJ  $divJKL    $h    -$x    $h   -$b   -$h   -$b   -$h   -$x; # Left CHECK
  patch quadr  5     $divIJ  $divJKR    $h     $b    $h    $x   -$h    $x   -$h    $b; # Right
#
# TYPE A 2 by 3 layers 2#7 + 2#7
#                mat  nBars  area      yI		   zI    yJ		 zJ
  layer straight  8     2    0.601     $h  	  -$b    $h 	$b;
  layer straight  8     2    0.601     -$h 	  -$b   -$h		 $b;
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Floor 7 beam section 701
set z1 22.0; # width loading along this direction Bending about this direction
set x1 16.0; # depth, bending about z-direction
set d 2;  # Clear distance

set b [expr ($x1-2*$d)/2]; #core 
set h [expr ($z1-2*$d)/2]; #core 
set x [expr $x1/2]; #out
set z [expr $z1/2]; #out

set divIJ 4;
set divJKC 66;  # CORE
set divJK  100; # TOP-BOT Long parts
set divJKL 20;  # LEFT SHORT
set divJKR 20;  # RIGHT SHORT

section fiberSec 701 {
#             mat ndivIJ ndivJK          yI    zI    yJ    zJ    yK    zK    yL    zL
  patch quadr  6     $divIJ  $divJKC    $h    -$b    $h    $b   -$h    $b   -$h   -$b; # CORE
  patch quadr  5     $divIJ  $divJK     $z    -$x    $z    $x    $h    $x    $h   -$x; # Top long
  patch quadr  5     $divIJ  $divJK    -$h    -$x   -$h    $x   -$z    $x   -$z   -$x; # Bot long
  patch quadr  5     $divIJ  $divJKL    $h    -$x    $h   -$b   -$h   -$b   -$h   -$x; # Left CHECK
  patch quadr  5     $divIJ  $divJKR    $h     $b    $h    $x   -$h    $x   -$h    $b; # Right
#
# TYPE A 2 by 3 layers 2#7 + 3#9
#                mat  nBars  area      yI		   zI    yJ		 zJ
  layer straight  8     3    0.994    $h  	  -$b    $h 	$b;
  layer straight  8     2    0.601     -$h 		  -$b   -$h		 $b;
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Floor 7 beam section 702
set z1 22; # width loading along this direction Bending about this direction
set x1 16; # depth, bending about z-direction
set d 2;  # Clear distance

set b [expr ($x1-2*$d)/2]; #core 
set h [expr ($z1-2*$d)/2]; #core 
set x [expr $x1/2]; #out
set z [expr $z1/2]; #out

set divIJ 4;
set divJKC 66;  # CORE
set divJK  100; # TOP-BOT Long parts
set divJKL 20;  # LEFT SHORT
set divJKR 20;  # RIGHT SHORT

section fiberSec 702 {
#             mat ndivIJ ndivJK          yI    zI    yJ    zJ    yK    zK    yL    zL
  patch quadr  6     $divIJ  $divJKC    $h    -$b    $h    $b   -$h    $b   -$h   -$b; # CORE
  patch quadr  5     $divIJ  $divJK     $z    -$x    $z    $x    $h    $x    $h   -$x; # Top long
  patch quadr  5     $divIJ  $divJK    -$h    -$x   -$h    $x   -$z    $x   -$z   -$x; # Bot long
  patch quadr  5     $divIJ  $divJKL    $h    -$x    $h   -$b   -$h   -$b   -$h   -$x; # Left CHECK
  patch quadr  5     $divIJ  $divJKR    $h     $b    $h    $x   -$h    $x   -$h    $b; # Right
#
# TYPE A 2 by 3 layers 2#6 + 2#8
#                mat  nBars  area      yI		   zI    yJ		 zJ
  layer straight  8     2    0.785    $h  	  -$b    $h 	$b;
  layer straight  8     2    0.442    -$h 		  -$b   -$h		 $b;
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Floor 7 beam section 705
set z1 22; # width loading along this direction Bending about this direction
set x1 16; # depth, bending about z-direction
set d 2;  # Clear distance

set b [expr ($x1-2*$d)/2]; #core 
set h [expr ($z1-2*$d)/2]; #core 
set x [expr $x1/2]; #out
set z [expr $z1/2]; #out

set divIJ 4;
set divJKC 66;  # CORE
set divJK  100; # TOP-BOT Long parts
set divJKL 20;  # LEFT SHORT
set divJKR 20;  # RIGHT SHORT

section fiberSec 705 {
#             mat ndivIJ ndivJK          yI    zI    yJ    zJ    yK    zK    yL    zL
  patch quadr  6     $divIJ  $divJKC    $h    -$b    $h    $b   -$h    $b   -$h   -$b; # CORE
  patch quadr  5     $divIJ  $divJK     $z    -$x    $z    $x    $h    $x    $h   -$x; # Top long
  patch quadr  5     $divIJ  $divJK    -$h    -$x   -$h    $x   -$z    $x   -$z   -$x; # Bot long
  patch quadr  5     $divIJ  $divJKL    $h    -$x    $h   -$b   -$h   -$b   -$h   -$x; # Left CHECK
  patch quadr  5     $divIJ  $divJKR    $h     $b    $h    $x   -$h    $x   -$h    $b; # Right
#
# TYPE A 2 by 3 layers 2#7 + 2#7
#                mat  nBars  area      yI		   zI    yJ		 zJ
  layer straight  8     2    0.601    $h  	  -$b    $h 	$b;
  layer straight  8     2    0.601     -$h 	  -$b   -$h		 $b;
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#####################################################################
puts "Finished creating cross sections..."






